Bug 68418 - ntp fails, started prior to named.
ntp fails, started prior to named.
Product: Red Hat Linux
Classification: Retired
Component: initscripts (Show other bugs)
alpha Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Brock Organ
Depends On:
  Show dependency treegraph
Reported: 2002-07-09 21:43 EDT by Chris Kloiber
Modified: 2014-03-16 22:28 EDT (History)
1 user (show)

See Also:
Fixed In Version: FC1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-09-29 16:04:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Chris Kloiber 2002-07-09 21:43:47 EDT
Description of Problem:

My linux gateway machine serves both named and ntp, I noticed the other day that
after a reboot of the server as ntp started it failed to synch with my upstream
servers (initscripts running ntpdate to make the clock close). I discovered that
ntp is started by default prior to named, and since the system uses it's own
name server for resolving addresses, ntp failed to find the upstream servers
causing the ntp service to die.

My recommended fix is to reorder the initscripts to start named almost
immediately after the network comes up, prior to any other network services that
may rely on correct resolving of DNS addresses.
Comment 1 Bill Nottingham 2002-07-10 17:11:51 EDT
Perhaps ntp should start later?
Comment 2 Chris Kloiber 2002-07-10 18:02:01 EDT
That's reasonable of course, but I was thinking of any other services that might
desire/require name resolution at startup (now or in the future).
Comment 3 Harald Hoyer 2002-07-11 04:08:24 EDT
[harald@faro src]$ fgrep chkconfig /etc/init.d/ntpd 
# chkconfig: - 58 74
[harald@faro src]$ fgrep chkconfig /etc/init.d/named 
# chkconfig: - 55 45

Comment 4 Chris Kloiber 2002-07-11 04:30:08 EDT
Argh. I reported this bug against the wrong version. It's only screwed up on
Red Hat Linux 7.2/Alpha, not in Limbo. My bad. Gotta quit staying up this late.

# grep -e chkconfig /etc/init.d/named
# chkconfig: - 55 45

# grep -e chkconfig /etc/init.d/ntpd
# chkconfig: - 26 74
Comment 5 Bill Nottingham 2005-09-29 16:04:38 EDT
Closing bugs on older, no longer supported, releases. Apologies for any lack of

Note You need to log in before you can comment on or make changes to this bug.